Package org.eclipse.ui.views.markers.internal

# Class TypeMarkerGroup

java.lang.Object
org.eclipse.ui.views.markers.internal.MarkerGroup
org.eclipse.ui.views.markers.internal.TypeMarkerGroup

public class TypeMarkerGroup extends MarkerGroup
The TypeMarkerGroup is a MarkerGroup used for the sorting by type which cannot be expressed currently using the markerSupport extension point.

Since:
  3.4

## Field Summary

### Fields inherited from class org.eclipse.ui.views.markers.internal.MarkerGroup

`field, markerField`

## Constructor Summary

Constructors
Constructor
Description
`TypeMarkerGroup(String name)`
Create a new instance of the receiver.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`createFields()`
Create the fields for the marker views.
`MarkerGroupingEntry`
`findGroupValue(String typeId, IMarker marker)`
Find the group for the marker of the specified marker type.
`Comparator<MarkerGroupingEntry>`
`getEntriesComparator()`
Returns the comparator that can be used for sorting the MarkerGroupingEntry(s) in the group.
`String`
`getId()`
Return the id of the receiver.
`String`
`getTitle()`
Return the title for the receiver.

### Methods inherited from class org.eclipse.ui.views.markers.internal.MarkerGroup

`createMarkerGroup, getField, getMarkerField, mapAttribute, remove, setAsDefault, unmap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TypeMarkerGroup

public TypeMarkerGroup(String name)
Create a new instance of the receiver.

## Method Details

### createFields

protected void createFields()
Create the fields for the marker views.

Overrides:
  `createFields` in class `MarkerGroup`

### findGroupValue

public MarkerGroupingEntry findGroupValue(String typeId, IMarker marker)
Description copied from class: `MarkerGroup`
Find the group for the marker of the specified marker type.

Overrides:
  `findGroupValue` in class `MarkerGroup`
Returns:
  MarkerGroupingEntry

### getId

public String getId()
Description copied from class: `MarkerGroup`
Return the id of the receiver.

Overrides:
  `getId` in class `MarkerGroup`
Returns:
  String

### getTitle

public String getTitle()
Description copied from class: `MarkerGroup`
Return the title for the receiver.

Overrides:
  `getTitle` in class `MarkerGroup`
Returns:
  String

### getEntriesComparator

public Comparator<MarkerGroupingEntry> getEntriesComparator()
Description copied from class: `MarkerGroup`
Returns the comparator that can be used for sorting the MarkerGroupingEntry(s) in the group.

Overrides:
  `getEntriesComparator` in class `MarkerGroup`
Returns:
  Comparator